/* 
 * Copyright (c) 2010, Andrew Clark
 * 
 * Licensed under the Creative Commons License, Attribution 3,0
 * You may obtain a copy of the license at
 *      http://creativecommons.org/licenses/by/3.0/us/
 */

package edu.calpoly.android;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class ImageChooser extends Activity implements OnClickListener {
    private Button m_vwCalPoly;
    private Button m_vwAndroid;
    
    protected static final String IMAGE_CHOICE_KEY = "image";
    protected static final String CAL_POLY = "Cal Poly";
    protected static final String ANDROID = "Android";
    
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.chooser);
        
        m_vwCalPoly = (Button) findViewById(R.id.cal_poly);
        m_vwCalPoly.setOnClickListener(this);
        
        m_vwAndroid = (Button) findViewById(R.id.android);
        m_vwAndroid.setOnClickListener(this);
    }
    
    /** Called when one of the buttons is clicked */
    @Override
    public void onClick(View v) {
        Intent data = new Intent();
        if (v.equals(m_vwCalPoly)) {
            data.putExtra(IMAGE_CHOICE_KEY, CAL_POLY);
        }
        else if (v.equals(m_vwAndroid)) {
            data.putExtra(IMAGE_CHOICE_KEY, ANDROID);
        }
        else return;
        setResult(RESULT_OK, data);
        finish();
    }
}
