/* 
 * Copyright (c) 2010, Andrew Clark
 * 
 * Licensed under the Creative Commons License, Attribution 3,0
 * You may obtain a copy of the license at
 *      http://creativecommons.org/licenses/by/3.0/us/
 */

package edu.calpoly.android;

import android.app.Activity;
import android.content.Intent;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageView;

public class ImageViewer extends Activity {
    private ImageView m_vwImage;
    private Button m_vwButton;
    
    private final int IMAGE_CHOICE_REQUEST_CODE = 1;
    
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.viewer);
        
        m_vwImage = (ImageView) findViewById(R.id.imageview);
        m_vwButton = (Button) findViewById(R.id.button);
        m_vwButton.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(getApplicationContext(), ImageChooser.class);
                startActivityForResult(intent, IMAGE_CHOICE_REQUEST_CODE);
            }
        });
    }
    
    /** Called when an Activity started with startActivityForResult() finishes */
    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if (requestCode == IMAGE_CHOICE_REQUEST_CODE) {
            if (resultCode == RESULT_OK) {
                if (data != null) {
                    String imageName = data.getStringExtra(ImageChooser.IMAGE_CHOICE_KEY);
                    if (imageName.equals(ImageChooser.CAL_POLY)) {
                        Drawable image = getResources().getDrawable(R.drawable.calpoly);
                        m_vwImage.setImageDrawable(image);
                    }
                    else if (imageName.equals(ImageChooser.ANDROID)) {
                        Drawable image = getResources().getDrawable(R.drawable.android);
                        m_vwImage.setImageDrawable(image);
                    }
                }
            }
        }
    }
}